Contributing to the Multisig Schnorr project
=====================================

Pull requests are always welcome, and the KZen dev team appreciates any help the community can
give to help make Multisig Schnorr project better.

Contributor Agreement (CA)
----------------

Any contributor must sign the Contributor Agreement (CA).

### How to sign the Contributor Agreement (CA)?

Please send an email to [github@kzencorp.com](mailto:github@kzencorp.com) containing your github username, the CA will be send to you by email.
After signature you will be added to the team as a contributor.

Communication Channels
----------------

* Most communication about KZen cryptography happens on Telegram, feel free to send us an email with your contact details.

* Discussion about code base improvements happens in GitHub issues and on pull requests.

Contributor Workflow
----------------

The codebase is maintained using the "contributor workflow" where everyone contributes patch proposals using "pull requests". This facilitates social contribution, easy testing and peer review.

To contribute a patch, the workflow is as follows:

* Fork repository
* Create topic branch
* Commit patches
* Push changes to your fork
* Create pull request

Make sure to provide a clear description in your Pull Request (PR).

### Header

Make sure to include the following header (by configuring your IDE) in all files:

```rust
/*
    Multisig Schnorr

    Copyright 2018 by Kzen Networks

    This file is part of Multisig Schnorr library
    (https://github.com/KZen-networks/multisig-schnorr)

    Multisig Schnorr is free software: you can redistribute
    it and/or modify it under the terms of the GNU General Public
    License as published by the Free Software Foundation, either
    version 3 of the License, or (at your option) any later version.

    @license GPL-3.0+ <https://github.com/KZen-networks/multisig-schnorr/blob/master/LICENSE>
*/
```